Gecode::BoolAFC Class Reference
Functionality by programming task » Programming models » Using integer variables and constraints » Branching

Recording AFC information for Boolean variables. More...

`#include <int.hh>`

## Public Member Functions

| BoolAFC (void)
| Construct as not yet initialized.
| BoolAFC (const BoolAFC &a)
| Copy constructor.
BoolAFC & | operator= (const BoolAFC &a)
| Assignment operator.
| BoolAFC (Home home, const BoolVarArgs &x, double d=1.0, bool share=true)
| Initialize for Boolean variables x and decay factor d.
void | init (Home home, const BoolVarArgs &x, double d=1.0, bool share=true)
| Initialize for Boolean variables x with decay factor d.
| AFC (void)
| Construct as not yet intialized.
| AFC (const AFC &a)
| Copy constructor.
AFC & | operator= (const AFC &a)
| Assignment operator.
template<class Var>
| AFC (Home home, const VarArgArray< Var > &x, double d, bool share=true)
| Initialize for variables x and decay factor d.
template<class Var>
void | init (Home home, const VarArgArray< Var > &x, double d, bool share=true)
| Initialize for variables x and decay factor d.
| operator bool (void) const
| Test whether already initialized.
| ~AFC (void)
| Destructor.
int | size (void) const
| Return number of AFC values.
void | decay (Space &home, double d)
| Set decay factor to d.
double | decay (const Space &home) const
| Return decay factor.

## Additional Inherited Members

static const AFC | def
| Default (empty) AFC information.
Protected Attributes inherited from Gecode::AFC
int | n
| Number of views.
Related Symbols inherited from Gecode::AFC
template<class Char, class Traits>
std::basic_ostream< Char, Traits > & | operator<< (std::basic_ostream< Char, Traits > &os, const AFC &a)
| Print AFC information (prints nothing).

## Detailed Description

Recording AFC information for Boolean variables.

Definition at line 4316 of file int.hh.

## Constructor & Destructor Documentation

## BoolAFC() [1/3]

Gecode::BoolAFC::BoolAFC | ( | void |  | ) |

inline

Construct as not yet initialized.

The only member functions that can be used on a constructed but not yet initialized AFC storage is init or the assignment operator.

Definition at line 61 of file afc.hpp.

## BoolAFC() [2/3]

Gecode::BoolAFC::BoolAFC | ( | const BoolAFC & | a | ) |

inline

Copy constructor.

Definition at line 64 of file afc.hpp.

## BoolAFC() [3/3]

Gecode::BoolAFC::BoolAFC | ( | Home | home,
|  | const BoolVarArgs & | x,
|  | double | d = 1.0,
|  | bool | share = true )

inline

Initialize for Boolean variables x and decay factor d.

If several AFC objects are created for a space or its clones, the AFC values are shared between spaces. If the values should not be shared, share should be false.

Definition at line 73 of file afc.hpp.

## Member Function Documentation

## operator=()

BoolAFC & Gecode::BoolAFC::operator= | ( | const BoolAFC & | a | ) |

inline

Assignment operator.

Definition at line 68 of file afc.hpp.

## init()

void Gecode::BoolAFC::init | ( | Home | home,
|  | const BoolVarArgs & | x,
|  | double | d = 1.0,
|  | bool | share = true )

inline

Initialize for Boolean variables x with decay factor d.

This member function can only be used once and only if the AFC storage has been constructed with the default constructor.

If several AFC objects are created for a space or its clones, the AFC values are shared between spaces. If the values should not be shared, share should be false.

Definition at line 78 of file afc.hpp.

The documentation for this class was generated from the following files:

- gecode/int.hh
- gecode/int/branch/afc.hpp